<?php

namespace catchAdmin\hydraulic\model;

use catcher\base\CatchModel as Model;

class HydEquipment extends Model
{
    // 表名
    public $name = 'hydraulic_equipment';
    // 数据库字段映射
    public $field = array(
        'id',
        // 物料号
        'material_number',
        // 设备类别
        'equipment_type',
        // 工具名称
        'name',
        // 设备型号
        'equipment_model',
        // 发放单位
        'issue_unit',
        // 固定资产编号
        'fixed_asset_number',
        // 类固定资产编号
        'fixed_asset_number2',
        // 序列号
        'serial_number',
        // 出厂编号
        'factory_number',
        // 上次校验时间
        'check_last_time',
        // 下次校验时间
        'check_next_time',
        // 校验状态
        'check_status',
        // 状态
        'status',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
}